Activa las notificaciones push PhoneGap Spain

Foro

Home Forums Android Google Play Service en Android

This topic contains 1 reply, has 1 voice, and was last updated by  David Morales 6 meses, 1 semana .

Viendo 2 respuestas - de la 1 a 2 (de 2 en total)
  • Google Play Service en Android

    Intervenciones
  • David Morales 
    Participant

    Estoy tratando de usar el plugin cordova-plugin-mauron85-background-geolocation pero me dice que necesito Google Play Service en la documentacion, pero con la actualizacion del firebase no se si algo ha cambiado pero me marca este error en phonegap build:

    1.  Error - Plugin error (you probably need to remove plugin files from your app): Fetching plugin "cordova-plugin-customurlscheme" via npm Installing "cordova-plugin-customurlscheme" at "4.3.0" for android ANDROID_HOME=/home/ec2-user/android-sdk JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.151-1.b12.35.amzn1.x86_64 Subproject Path: CordovaLib Configuration on demand is an incubating feature. FAILURE: Build failed with an exception. * Where: Build file '/tmp/gimlet/20603480/2102568/www_android/project/build.gradle' line: 259 * What went wrong: A problem occurred evaluating root project 'project'. > Could not get unknown property 'GOOGLE_PLAY_SERVICES_VERSION' for object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler. * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. BUILD FAILED Total time: 1.023 secs Failed to install 'cordova-plugin-customurlscheme': Error: /tmp/gimlet/20603480/2102568/www_android/project/gradlew: Command failed with exit code 1 at ChildProcess.whenDone (/tmp/gimlet/20603480/2102568/www_android/project/cordova/node_modules/cordova-common/src/superspawn.js:169:23) at emitTwo (events.js:106:13) at ChildProcess.emit (events.js:191:7) at maybeClose (internal/child_process.js:877:16) at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5) /tmp/gimlet/20603480/2102568/www_android/project/gradlew: Command failed with exit code 1 - You can fix this

    mi pregunta es que configuracion tengo que usar en el config.xml para poder usar este plugin o para poder agregar google play service.


    David Morales 
    Participant

    necesito activar esto.
    ¿Alguna idea?


Viendo 2 respuestas - de la 1 a 2 (de 2 en total)

You must be logged in to reply to this topic.